# Method Sql.null()->query()

Method query

  ``array`(`mapping`(`string`:`mixed`)) query(`string` `query`, `mapping`(`string`:`mixed`)|`void` `bindings`)`

Returns

  Returns an array with a single element:

  ``"query"` : `string`` | The query string before formating.
  ``"bindings"` : `string`` | `<a class='ms reference' href='../../../predef_3A_3A/sprintf.html'>sprintf("%O", <code class='reference paramref'>bindings`).
  ``"formatted_query"` : `string`` | The formatted query.